Summary:	tla arch - revision control system
Summary(pl):	tla arch - system kontroli wersji
Name:		tla
Version:	1.3.5
Release:	1
Epoch:		1
License:	GPL v2
Group:		Development/Version Control
Source0:	ftp://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
# Source0-md5:	db31ee89bc4788eef1eba1cee6c176ef
Patch0:		%{name}-neon.patch
URL:		http://www.gnu.org/software/gnu-arch/
BuildRequires:	findutils
BuildRequires:	libtool
BuildRequires:	neon-devel
Requires:	diffutils
Requires:	patch
Requires:	tar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tla arch is a revision control system: a program that lets programmers
archive a history of changes made to the software they maintain and
that, more importantly, helps programmers to coordinate, synchronize,
and combine multiple lines of development for a single project.

arch version tla is a C version of the reference arch concepts.

%description -l pl
tla arch jest systemem kontroli wersji - programem, ktry pozwala
programistom archiwizowa histori zmian wykonanych w rozwijanym przez
nich oprogramowaniu oraz, co waniejsze, pomaga programistom
koordynowa, synchronizowa i czy wiele linii kodu podczas rozwoju
projektu.

arch w wersji tla to wersja w C wzorcowych idei arch.

%prep
%setup -q
%patch0 -p1

rm -rf src/libneon src/expat

%build
cd src
mkdir =build
cd =build

CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags}"
FFLAGS="%{rpmcflags}"
export CFLAGS CXXFLAGS FFLAGS

# custom configure script
../configure \
	--destdir=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--with-cc="%{__cc}" \
	--with-ssh-type=openssh
%{__make} -j1

# ok, I tested already
%{__make} -j1 test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C src/=build install

rm -rf html
cp -a src/docs-tla html
find html -type f ! -name "*.html" -exec rm -rf "{}" ";"
find html -type d -name ".arch-ids" -exec rm -rf "{}" ";" || :
find html -type d -name "{arch}" -exec rm -rf "{}" ";" || :

rm -rf $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_bindir}/*
%changelog
* Sun Sep 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tla.git;a=log;h=AC-branch

* Sun Nov 05 2006 cvs2git <feedback@pld-linux.org> d407cf2
- This commit was manufactured by cvs2git to create branch 'AC-branch'.

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 756f1ee
- updated to 1.3.5, updated neon patch, removed obsolete debian patch

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> e6f198c
- more

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 14dc916
- obsolete

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> a834dbc
- unified

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c71762
- rel 4; patch from debian (fixes tests on ppc)

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7811b2c
- new, from debian

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a2b5f10
- rel 3; fix docs build

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a87cf52
- rebuild with new neon

* Sat Jun 11 2005 undefine <undefine@pld-linux.org> e541ea0
- up to 1.3.3

* Fri Dec 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cb5f52
- up to 1.3 final

* Fri Dec 17 2004 undefine <undefine@pld-linux.org> 7ef84b5
- rel 2 for AC

* Fri Nov 26 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 46bc7ff
- up to pre3

* Sun Nov 21 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> e692b5a
- 1.3 pre2

* Tue Nov 02 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 81be33f
- 1.3 pre1

* Tue Aug 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 4910764
- rel 2

* Tue Aug 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> f05be5f
- R: diffutils, tar and patch (tla uses these externally)

* Mon Aug 23 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f60a49
- new, based on debian patch

* Mon Aug 23 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> e533041
- build against external libneon; package only one type of docs

* Mon Aug 23 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> d23d324
- updated to 1.2.1; STBR

